org.eclipse.rdf4j.federated.evaluation.iterator

## Class BoundJoinVALUESConversionIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<T,X>
  - - org.eclipse.rdf4j.common.iteration.ConvertingIteration<BindingSet,BindingSet,QueryEvaluationException>
    - - org.eclipse.rdf4j.federated.evaluation.iterator.BoundJoinVALUESConversionIteration

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>

      public class BoundJoinVALUESConversionIteration
      extends ConvertingIteration<BindingSet,BindingSet,QueryEvaluationException>

  Inserts original bindings into the result. This implementation is used for bound joins with VALUES clauses, see `SparqlFederationEvalStrategyWithValues`.

  It is assumed the the query results contain a binding for "?__index" which corresponds to the index in the input mappings. See `QueryStringUtil` for details

  Since:
    3.0
  Author:
    Andreas Schwarte
  See Also:
    `SparqlFederationEvalStrategy`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<BindingSet>` | `bindings`
    `static String` | `INDEX_BINDING_NAME` The binding name for the index

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundJoinVALUESConversionIteration(CloseableIteration<BindingSet,QueryEvaluationException> iter, List<BindingSet> bindings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BindingSet` | `convert(BindingSet bIn)` Converts a source type object to a target type object.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.ConvertingIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Field Detail

    - #### INDEX_BINDING_NAME

          public static final String INDEX_BINDING_NAME

      The binding name for the index
      See Also:
        Constant Field Values

    - #### bindings

          protected final List<BindingSet> bindings

  - ### Constructor Detail

    - #### BoundJoinVALUESConversionIteration

          public BoundJoinVALUESConversionIteration(CloseableIteration<BindingSet,QueryEvaluationException> iter,
                                                    List<BindingSet> bindings)

  - ### Method Detail

    - #### convert

          protected BindingSet convert(BindingSet bIn)
                                throws QueryEvaluationException

      Description copied from class: `ConvertingIteration`
      Converts a source type object to a target type object.
      Specified by:
        `convert` in class `ConvertingIteration<BindingSet,BindingSet,QueryEvaluationException>`
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.